package com.fjhx.common.service.documentary;

import com.fjhx.common.entity.documentary.po.Documentary;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.common.entity.documentary.vo.DocumentaryVo;
import com.fjhx.common.entity.documentary.dto.DocumentarySelectDto;
import com.fjhx.common.entity.documentary.dto.DocumentaryDto;


/**
 * <p>
 * 跟单配置 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-19
 */
public interface DocumentaryService extends BaseService<Documentary> {

    /**
     * 跟单配置分页
     */
    Page<DocumentaryVo> getPage(DocumentarySelectDto dto);

    /**
     * 跟单配置明细
     */
    DocumentaryVo detail(Long id);

    /**
     * 跟单配置新增
     */
    void add(DocumentaryDto documentaryDto);

    /**
     * 跟单配置编辑
     */
    void edit(DocumentaryDto documentaryDto);

    /**
     * 跟单配置删除
     */
    void delete(Long id);

}
